/* START RELATED ITEMS */

.related-items {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 40px;
    max-width: 1316px;
    margin: auto;
    padding: 40px 32px;
}
/* List background color: white */
.section-related-items.white {
    background-color: var(--background-list-white);
}
/* List background color: grey */
.section-related-items.grey {
    background-color: var(--background-list-grey);
}
/* List background color: dark-grey */
.section-related-items.dark-grey {
    background-color: var(--background-list-dark-grey);
}

/* Title row */
.related-items .related-items-title {
    text-align: center;
    font-size: var(--text-xl);
    letter-spacing: 1px;
    font-family: var(--font-frutiger-bold);
    color: var(--color-primary-blue);
}

.related-items .generic-slider {
    height: fit-content;
}

/* Card */
.related-items .related-items-card {
    display: flex;
    flex-shrink: 0;
    flex-direction: column;
    width: 283px;
    max-width: 283px;
    height: 100%;
    scroll-snap-align: start;
    text-decoration: none;
    gap: 20px;
}

/* Upper div */
.related-items .related-items-card .upper-div {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 224px;
}

.related-items .related-items-card .card-logo {
    position: absolute;
    z-index: 2;
    -webkit-transform: translate3d(0, 0, 0);
    bottom: 1px;
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    padding: 8px 8px 6px;
    width: 100%;
}

.related-items .related-items-card .card-logo img {
    width: 50px;
    height: 50px;
    object-fit: contain;
}

.related-items .related-items-card .upper-div .product-status {
    position: absolute;
    z-index: 2;
    top: 1px;
    left: 18px;
    padding: 1px 10px;
    border-radius: 11px;
    color: #fff;
    margin-top: 18px;
    font-size: var(--text-xs);
    font-family: var(--font-frutiger-medium);
    word-break: break-word;
    max-width: 86%;
}

.related-items .related-items-card .upper-div .product-status.new {
    background-color: var(--color-secondary-blue);
}

.related-items .related-items-card .upper-div .product-status.sale {
    background-color: #f9b000ff;
}

.related-items .related-items-card .upper-div .card-image {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}

.related-items .related-items-card .card-image picture {
    width: 100%;
    height: 100%;
}

.related-items .related-items-card .card-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}

/* Lower div */
.related-items .related-items-card .lower-div {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    gap: 40px;
}

.related-items .related-items-card .lower-div .category-name {
    width: fit-content;
    color: #fff;
    padding: 8px 8px 6px;
    border-radius: 4px;
    font-size: var(--text-xxxs);
    font-family: var(--font-frutiger-medium);
    text-transform: uppercase;
    margin-bottom: 10px;
}

.related-items .related-items-card .lower-div .title-card {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    text-overflow: ellipsis;
    overflow: hidden;
    text-align: start;
    width: 100%;
}

.related-items .related-items-card .lower-div .title-card {
    word-break: break-word;
    font-size: var(--text-xxm);
    font-family: var(--font-frutiger-bold);
    letter-spacing: 1px;
    color: #000000;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
}

.related-items .related-items-card .lower-div .discover-more-row {
    display: flex;
    justify-content: start;
    align-items: center;
    width: 100%;
    gap: 5px;
    text-decoration: none;
}

.related-items .related-items-card .lower-div .discover-more-row p {
    font-size: var(--text-xs);
    color: #000000;
    font-family: var(--font-frutiger-bold);
}

.related-items .related-items-card .lower-div .discover-more-row .arrow {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 9px;
    height: 9px;
}

.related-items .related-items-card .lower-div .discover-more-row .arrow img {
    width: 100%;
    object-fit: cover;
}

.related-items .related-items-card .lower-div .discover-more-row:hover .arrow,
.related-items .related-items-card:hover .arrow {
    transform: translateX(5px);
    transition: transform 0.3s ease;
}

/* List button row */
.related-items .button-row {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}
/* END RELATED ITEMS */

/* START MEDIA QUERY */

/* Mobile - 600 not 375 */
@media (max-width: 576px) {
    .related-items {
        padding: 40px 16px;
    }

    .related-items .related-items-title {
        font-size: var(--text-xxxxm);
    }
}
/* END MEDIA QUERY */